:root {
    --black-0: #000000;
    --white-0: #e6e6e6;
    --white-1: #cccccc;
    --white-2: #b3b3b3;
    --white-3: #999999;
    --font-monospace: ui-monospace, 'Cascadia Code', 'Source Code Pro', Menlo, Consolas, 'DejaVu Sans Mono', monospace;

    --body-fg: var(--white-0);
    --body-bg: var(--black-0);
    --body-font: var(--font-monospace);
    --body-font-size: 0.875rem;

    --link-fg-normal: var(--white-3);
    --link-fg-hover: var(--white-0);
}

*
*::before,
*::after {
    box-sizing: border-box;
}

html {
    width: 100vw;
    height: 100vh;
}

body {
    width: 100%;
    min-height: 100%;
    margin: 0;
    font-family: var(--body-font);
    font-size: var(--body-font-size);
    font-weight: 400;
    line-height: 1.5;
    color: var(--body-fg);
    background-color: var(--body-bg);
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

hr {
    margin: 1rem 0;
    color: inherit;
    border: 0;
    border-top: 1px solid;
    opacity: 0.25;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-top: 0;
    margin-bottom: 0.5rem;
    font-weight: 500;
    line-height: 1.2;
}
 
h1 {
    font-size: 2.5rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.75rem;
}

h4 {
    font-size: 1.5rem;
}

h5 {
    font-size: 1.25rem;
}

h6 {
    font-size: 1rem;
}

p {
    margin-top: 0;
    margin-bottom: 1rem;
}

a {
    color: var(--link-fg-normal);
    text-decoration: underline;
}

a:hover {
    color: var(--link-fg-hover);
}

.center {
    text-align: center;
}

main {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 600px;
    max-width: 95vw;
}

ul {
	display: table;
	margin: 0 auto;
}
